Bug 62620 - locale not supported by C library
Summary: locale not supported by C library
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: locale_config   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-03 05:47 UTC by Need Real Name
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 19:06:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-04-03 05:47:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
After using update agent to upgrade all installed packages (including
kernel 2.4.7-10  up to  2.4.9-31) I now get the following message when
I start emacs:

> emacs
Warning: locale not supported by C library, locale unchanged

(my system is "up to date" as of April 3, 2002)  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start emacs
2.
3.
	

Actual Results:  > emacs
Warning: locale not supported by C library, locale unchanged


Expected Results:  no error message

Additional info:

Comment 1 Need Real Name 2002-04-03 06:23:03 UTC
The glibc packages that were installed by up2date were:

leo:/var/spool/up2date > ls -l *glibc*
-rw-r--r--    1 root     root        42269 Apr  3 10:52 glibc-2.2.4-19.3.i686.hdr
-rw-r--r--    1 root     root      5871264 Apr  3 10:30 glibc-2.2.4-19.3.i686.rpm
-rw-r--r--    1 root     root       553453 Apr  3 10:52 glibc-common-2.2.4-19.3.i386.hdr
-rw-r--r--    1 root     root      8966908 Apr  3 10:31 glibc-common-2.2.4-19.3.i386.rpm
-rw-r--r--    1 root     root        62617 Apr  3 10:52 glibc-devel-2.2.4-19.3.i386.hdr
-rw-r--r--    1 root     root     10202456 Apr  3 10:32 glibc-devel-2.2.4-19.3.i386.rpm



Comment 2 Jakub Jelinek 2002-04-03 09:14:38 UTC
You missed an important datapoint, particularly what locale you're using (ie.
set | grep '^\(LC_\|LANG\)'
).

Comment 3 Need Real Name 2002-04-04 00:52:03 UTC
> setenv | grep LANG
LANG=en_US=
GDM_LANG=en_US

...note the trailing = sign. If LANG is reset to a sensible value,

setenv LANG en_US

then the reported bug (error message on starting emacs) is fixed. 
However, I had no success in getting the locale chooser (selected from the 
system menue, KDE desktop) to change the LANG environment variable.

Comment 4 Owen Taylor 2002-04-10 14:47:08 UTC
Can you give details of what you mean by "no success"? Did it die
with an error message? did it run successfully but do nothing?




Comment 5 Owen Taylor 2002-04-11 19:01:12 UTC
The trailing = might be a anaconda bug, hard to tell at this point.
(We'll probably get duplicates if it is a common problem.)

Need more information on locale_config problem to proceed further.

Comment 6 Owen Taylor 2004-11-08 19:06:31 UTC
locale-config was replaced by system-config-language


Note You need to log in before you can comment on or make changes to this bug.